Package Details: dockmanager 0.1.0-5

Git Clone URL: https://aur.archlinux.org/dockmanager.git (read-only)
Package Base: dockmanager
Description: Dock-independent helper scripts for compatible docks
Upstream URL: https://launchpad.net/dockmanager
Licenses: GPL
Submitter: xyproto
Maintainer: twa022
Last Packager: twa022
Votes: 71
Popularity: 0.144431
First Submitted: 2012-01-26 10:36
Last Updated: 2016-04-30 16:08

Dependencies (13)

Required by (2)

Sources (1)

Latest Comments

ubunchu commented on 2013-05-30 12:42

Please add --pkg-config-- to the dependencies.
I got: "checking for pkg-config... no
configure: error: You need to install pkg-config"
Thanks.

City-busz commented on 2012-03-13 15:55

I didn't know about dockmanager can be used with KDE. Thanks for clarify that, now I removed Docky.

Anonymous comment on 2012-03-13 09:41

Could you remove the docky dependency? It kinda breaks the "dock independent" thing that's in the description ;). It also pulls in a whole lot of gnome and mono stuff, which is not really needed for dockmanager in KDE for example.
Dockmanager builds fine without it.

Anonymous comment on 2012-02-02 18:34

I've fixed this build (it now actually builds the 0.1.0 version) and the libdesktop-agnostic build. Should work fine for now.

mxr commented on 2012-02-01 01:25

Currently this does not build.
But with libdesktop-agnostic-bzr instead of libdesktop-agnostic and with vala 0.12 it does:

Someone has to change the dependencies and before you call autogen.sh the patch has to be commented out and a reference to /opt/vala-0.12/bin/valac has to be added (so the configure script finds the right vala)
so simply add export PATH="/opt/vala-0.12/bin:${PATH}" before calling autogen.sh.

dieelt commented on 2012-01-30 09:16

Can't compile. (patch cannot be applied)

patching file daemon/tile.vala
Reversed (or previously applied) patch detected! Skipping patch.
2 out of 2 hunks ignored -- saving rejects to file daemon/tile.vala.rej

xyproto commented on 2012-01-26 10:36

Moved from [community] since it depends on libdesktop-agnostic that didn't build.